# Interface methods for submodule: BinaryReconstructionByErosionImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: BinaryReconstructionByErosionImageFilter
class BinaryReconstructionByErosionImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetFullyConnected(self, _arg: bool) -> None:
		""""""
		...

	def GetFullyConnected(self) -> bool:
		""""""
		...

	def FullyConnectedOn(self) -> None:
		""""""
		...

	def FullyConnectedOff(self) -> None:
		""""""
		...

	def SetBackgroundValue(self, _arg: int) -> None:
		""""""
		...

	def GetBackgroundValue(self) -> int:
		""""""
		...

	def SetForegroundValue(self, _arg: int) -> None:
		""""""
		...

	def GetForegroundValue(self) -> int:
		""""""
		...

	def SetMarkerImage(self, _arg) -> None:
		""""""
		...

	def GetMarkerImage(self):
		""""""
		...

	def SetMaskImage(self, _arg) -> None:
		""""""
		...

	def GetMaskImage(self):
		""""""
		...

